description

# Encoding class Null safety

Open-ended Encoding enum.

Inheritance
  - Object
  - Codec<String, List<int>>
  - Encoding
Implementers
  - AsciiCodec
  - Latin1Codec
  - SystemEncoding
  - Utf8Codec

## Constructors

Encoding()
  const

## Properties

decoder → Converter<List<int>, String>
  Returns the decoder of `this`, converting from `List<int>` to `String`. [...]
  read-only, override
encoder → Converter<String, List<int>>
  Returns the encoder from `String` to `List<int>`. [...]
  read-only, override
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
inverted → Codec<List<int>, String>
  Inverts `this`. [...]
  read-only, inherited
name → String
  Name of the encoding. [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

decode(List<int> encoded) → String
  Decodes `encoded` data. [...]
  inherited
decodeStream(Stream<List<int>> byteStream) → Future<String>
encode(String input) → List<int>
  Encodes `input`. [...]
  inherited
fuse<R>(Codec<List<int>, R> other) → Codec<String, R>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

getByName(String? name) → Encoding?
  Returns an Encoding for a named character set. [...]